# zip_read

(PHP 4 >= 4.1.0, PHP 5 >= 5.2.0, PHP 7, PECL zip >= 1.0.0)

zip_read — Read next entry in a ZIP file archive

### Description

zip_read ( resource `$zip` ) : resource

Reads the next entry in a zip file archive.

### Parameters

`zip`

  A ZIP file previously opened with zip_open().

### Return Values

Returns a directory entry resource for later use with the zip_entry_... functions, or `FALSE` if there are no more entries to read, or an error code if an error occurred.

### See Also

- zip_open() - Open a ZIP file archive
- zip_close() - Close a ZIP file archive
- zip_entry_open() - Open a directory entry for reading
- zip_entry_read() - Read from an open directory entry